#include "PyConversions.h"

BOOST_PYTHON_BEGIN_CONVERSION_NAMESPACE

FILE* from_python(PyObject* p, boost::python::type<FILE*>)
{
    FILE* f = PyFile_AsFile(p);
    return f;
}

PyObject* to_python(FILE* f)
{
    PyObject* p = PyFile_FromFile(f, "", "", NULL);    
    return p;
}


BOOST_PYTHON_END_CONVERSION_NAMESPACE
