#include <stdio.h>
#include <qapp.h>
#include "Control.h"
#include "util.h"
#include "qutil.h"
#include "qstring.h"

int initdone=0;
Control *control;
QString dfdir;

int main( int argc, char **argv )
{
QFont *newdf;
QApplication a( argc, argv );

appinit(argc,argv);

EMQInit(&a);

if (getenv("PWD")) dfdir=getenv("PWD"); else dfdir="/";

Equation::init();
control=new Control(NULL,"Name");
a.setMainWidget(control);
initdone=1;
control->show();
if (argc>1) {
	for (int i=1; i<argc; i++) {
		int j=fileCount(argv[i]);
		if (j==1) control->Mopen1clip(argv[i]);
		else if (j==0) { printf("Cannot open '%s'\n",argv[i]); continue; }
		else control->Mopenclips(argv[i]);
	}
}
return a.exec();
}
