#ifndef _pyemhist_h_
#define _pyemhist_h_

#include "EMHist.h"
#include <boost/python/objects.hpp>

class PyEMHist : public EMHist {
public:
    PyEMHist(const char* parse = 0);
    const char* py_getDir();
};

namespace python = boost::python;

python::ref EMHist_getstate(const python::tuple& args,
			    const python::dictionary& keywords);
PyObject* EMHist_setstate(const python::tuple& args,
			  const python::dictionary& keywords);

#endif
